(use-modules
 (ordo connection)
 (ordo action filesystem)
 (ordo play)
 (ordo task))

(define (tryme)
  (play (local-connection)
        (list
         (task "Create test directory"
               (install-directory "/home/ray/ordo-test"))
         (task "Create test file from string content"
               (install-file "/home/ray/ordo-test/foo" #:content "Hello, world!\n"))
         (task "Create test file from local source"
               (install-file "/home/ray/ordo-test/bar" #:local-src "/home/ray/ordo-test/foo"))
         (task "Create test file from remote source"
               (install-file "/home/ray/ordo-test/baz" #:remote-src "/home/ray/ordo-test/bar"))
         (task "Expect this to fail"
               (install-file "/root/ordo.txt" #:content "Hello from Ordo!")))))

(tryme)
